//  main: main.less, out: ../style.css


/* ====================================================================================================================================
FONT IMPORT
======================================================================================================================================*/

@import url('https://fonts.googleapis.com/css?family=Open+Sans:300,400,700|Roboto+Slab:700');

@font-face {
	font-family: 'Cocogoose-Pro';
	src: url('fonts/Cocogoose-Pro-Regular.eot');
    src: local('☺'), 
    url('fonts/Cocogoose-Pro-Regular.woff') format('woff'), 
    url('fonts/Cocogoose-Pro-Regular.ttf') format('truetype'), 
    url('fonts/Cocogoose-Pro-Regular.svg') format('svg');
}

@font-face {
	font-family: 'DidactGothic';
	src: url('fonts/DidactGothic-Regular.eot');
    src: local('☺'), 
    url('fonts/DidactGothic-Regular.woff') format('woff'), 
    url('fonts/DidactGothic-Regular.ttf') format('truetype'), 
    url('fonts/DidactGothic-Regular.svg') format('svg');
}

@font_titles: 'Cocogoose-Pro', sans-serif;
@font_base: 'DidactGothic', sans-serif;

/* ====================================================================================================================================
FONT RULES
======================================================================================================================================*/
body {
    font-family: @font_base;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: @font_titles;
    font-weight: normal;
}

h1 {
    font-size: @size__xxl;
    @media @media_smartphone, @media_tablet {
        font-size: @size__xl;
    }
}
h2 {
    font-size: @size__xl;
    @media @media_smartphone, @media_tablet {
        font-size: @size__l;
    }
}
h3 {
    font-size: @size__l;
    @media @media_smartphone, @media_tablet {
        font-size: @size__m;
    }
}

h4 {
    font-size: @size__m;
    @media @media_smartphone, @media_tablet {
        font-size: @size__m;
    }
}

html {
    font-family: @font_base;
    font-size: @size__m;
    color: @color-text;
}